For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETSegmentations
      • GETMetadata
      • GETGauges
      • GETComponents
      • GETMarket Context
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataMacro Indicators

Metadata

GET
/api/v1/data/weather/:segmentation/metadata
GET
/api/v1/data/weather/:segmentation/metadata
$curl https://app.termina.ai/api/v1/data/weather/segmentation/metadata \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "slug": "usa",
4 "label": "USA",
5 "segmentation": "geo",
6 "asof_date": "2021-01-01",
7 "indicator_start_date": "2000-01-01",
8 "countries": [
9 "USA",
10 "CAN"
11 ],
12 "categories": [
13 "software"
14 ]
15 }
16]
Returns segmentation metadata for each of the classes of segmentations "geo" and "sector". The geography ("geo") segmentation type refers to major geographic segmentations. The "sector" segmentation type refers to major business model categories in the USA geography. The metadata includes parameters used to generate the respective indicators, and the metadata needed to retrieve the series from the API.
Was this page helpful?
Previous

Gauges

Next
Built with

Returns segmentation metadata for each of the classes of segmentations “geo” and “sector”.

The geography (“geo”) segmentation type refers to major geographic segmentations.

The “sector” segmentation type refers to major business model categories in the USA geography.

The metadata includes parameters used to generate the respective indicators, and the metadata needed to retrieve the series from the API.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

segmentationstringRequired

Response

Successful Response
slugstring
Slugified label for the weather indicator
labelstring
Label for the weather indicator
segmentationstring
The segmentation type of the weather indicator
asof_datestringformat: "date"
The date of the full revision of the input data for the indicator
indicator_start_datestringformat: "date"
The earliest date a data point in the indicator is considered valid
countrieslist of strings
categorieslist of strings or null

A list of categories the indicator covers - If null, the indicator includes all covered categories

Errors

422
Unprocessable Entity Error